> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the test plans available to the organization

> Retrieve the test plans the organization of the caller can schedule a test on.
The name of a plan is the value accepted as test_plan when creating a test, and returned as type on a test.




## OpenAPI

````yaml /monolith-v1-openapi.yaml get /v1/test_plans
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Test Plans
    description: Operations related to test plans
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
  - name: Login IP Allowlist
    description: Operations related to the organization's login IP allowlist
paths:
  /v1/test_plans:
    get:
      tags:
        - Test Plans
      summary: Get the test plans available to the organization
      description: >
        Retrieve the test plans the organization of the caller can schedule a
        test on.

        The name of a plan is the value accepted as test_plan when creating a
        test, and returned as type on a test.
      operationId: getTestPlans
      responses:
        '200':
          description: The test plans available to the organization
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TestPlan'
        '403':
          description: The user is missing sufficient privileges
        '404':
          description: Test creation is not enabled for the organization
components:
  schemas:
    TestPlan:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          enum:
            - Synack365
            - Synack90
            - Synack14
            - SynackAPIPentest
            - SynackST
            - SynackST+
            - Sara Pentest
            - Sara Pentest+
          description: >-
            Name of the test plan, accepted as test_plan when creating a test
            and returned as type on a test
          example: Synack14
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.